#include "IconLoader.h"

IconLoader iconloader;

void IconDrawer::drawIconString(char *str) {
  while (*str) {
    Icon *i = iconloader.Load(*str);
    i->Draw();
    iconloader.Free(i);
    str++;
  }
}

int main() {
  IconDrawer::drawIconString("Goodby folks\n");
  IconDrawer::drawIconString("Goodby old world\n");
  IconDrawer::drawIconString("Hello new world\n");
}
